"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __spreadArray = (this && this.__spreadArray) || function (to, from) {
    for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
        to[j] = from[i];
    return to;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createClientBaseConfig = void 0;
var shared_1 = require("@dev-scripts/shared");
// utilities
var path_1 = require("path");
// Loaders
var fonts_loader_1 = require("../loaders/fonts-loader");
var image_loader_1 = require("../loaders/image-loader");
var javascript_typescript_1 = require("../loaders/javascript-typescript");
var style_loader_1 = require("../loaders/style-loader");
// Plugins
var plugins_1 = require("../plugins/plugins");
var shared_config_1 = require("../shared-config");
// Config files
var isProduction = shared_1.getDefaultMode() === 'production';
var createClientBaseConfig = function (options) {
    var _a;
    var contenthash = isProduction ? '.[contenthash]' : '';
    var outputFilename = shared_1.devConfig.jsOutputPath + "[name]" + contenthash + ".js";
    var outputChunkFilename = "" + shared_1.devConfig.jsOutputPath + (options.legacy ? "chunks/" + shared_1.devConfig.legacyPrefix : 'chunks/') + "[name]" + contenthash + ".js";
    var entry = options.legacy
        ? (_a = {},
            _a[shared_1.devConfig.legacyPrefix + "main"] = shared_1.devConfig.clientEntry,
            _a) : {
        main: shared_1.devConfig.clientEntry,
    };
    var config = __assign(__assign({}, shared_config_1.sharedConfig), { target: 'web', name: options.legacy ? 'legacy-client' : 'client', entry: entry, plugins: __spreadArray([], plugins_1.getPlugins(true, options.manifestSharedSeed)), module: {
            rules: __spreadArray(__spreadArray(__spreadArray([], javascript_typescript_1.default({
                includedPackages: options.includedPackages,
                legacy: options.legacy,
            })), style_loader_1.default()), [
                //Assets
                image_loader_1.default(),
                fonts_loader_1.default(),
            ]),
        }, output: {
            filename: shared_1.normalizePath(outputFilename),
            chunkFilename: shared_1.normalizePath(outputChunkFilename),
            path: path_1.default.join(shared_1.devConfig.clientDist, shared_1.devConfig.publicPath),
            publicPath: shared_1.devConfig.publicPath,
        } });
    return config;
};
exports.createClientBaseConfig = createClientBaseConfig;
//# sourceMappingURL=client.base.js.map