/// <reference types="terser-webpack-plugin" />
export interface ServerBase {
    includedPackages?: string[];
}
export declare const createServerBaseConfig: (options: ServerBase) => {
    target: string;
    name: string;
    entry: {
        server: string[];
    };
    plugins: any[];
    module: {
        rules: {
            test: RegExp;
            use: any;
        }[];
    };
    output: {
        filename: string;
        libraryTarget: string;
        path: string;
        publicPath: string;
    };
    node: {
        __filename: boolean;
        __dirname: boolean;
    };
    externals: any[];
    context: string;
    mode: string;
    devtool: string | undefined;
    resolve: {
        alias: any;
        extensions: string[];
    };
    optimization: {
        splitChunks: {
            chunks: string;
            automaticNameDelimiter: string;
        };
        minimizer: import("terser-webpack-plugin")[];
    };
    bail: boolean;
    cache: boolean;
    stats: {
        cached: boolean;
        cachedAssets: boolean;
        chunks: boolean;
        chunkModules: boolean;
        colors: boolean;
        hash: boolean;
        modules: boolean;
        reasons: boolean;
        timings: boolean;
        version: boolean;
    };
};
//# sourceMappingURL=server.base.d.ts.map