"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __spreadArray = (this && this.__spreadArray) || function (to, from) {
    for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
        to[j] = from[i];
    return to;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createServerBaseConfig = void 0;
var shared_1 = require("@dev-scripts/shared");
var webpack_node_externals_1 = require("webpack-node-externals");
// Loaders
var fonts_loader_1 = require("../loaders/fonts-loader");
var image_loader_1 = require("../loaders/image-loader");
var javascript_typescript_1 = require("../loaders/javascript-typescript");
var style_loader_1 = require("../loaders/style-loader");
// Plugins
var plugins_1 = require("../plugins/plugins");
var shared_config_1 = require("../shared-config");
var createServerBaseConfig = function (options) {
    var outputFilename = "server.js";
    var config = __assign(__assign({}, shared_config_1.sharedConfig), { target: 'node', name: 'server', entry: {
            server: shared_1.devConfig.serverEntry,
        }, plugins: __spreadArray([], plugins_1.getPlugins(false)), module: {
            rules: __spreadArray(__spreadArray(__spreadArray([], javascript_typescript_1.default({
                includedPackages: options.includedPackages,
                legacy: false,
            })), style_loader_1.default({
                isClient: false,
            })), [
                //Assets
                image_loader_1.default(false),
                fonts_loader_1.default(false),
            ]),
        }, output: {
            filename: shared_1.normalizePath(outputFilename),
            libraryTarget: 'commonjs2',
            path: shared_1.devConfig.serverDist,
            publicPath: shared_1.devConfig.publicPath,
        }, node: {
            __filename: false,
            __dirname: false,
        }, externals: ['./asset-manifest.json', './polyfills-manifest.json', webpack_node_externals_1.default()] });
    return config;
};
exports.createServerBaseConfig = createServerBaseConfig;
//# sourceMappingURL=server.base.js.map